
// helloworldDlg.h : header file
//

#pragma once

#include <mutex>
#include <vector>
#include <string>
#include "./decode/decode.h"

// CHelloWorldDlg dialog
class CHelloWorldDlg : public CDialogEx
{
// Construction
public:
	CHelloWorldDlg(CWnd* pParent = nullptr);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_HELLOWORLD_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonStart();
	afx_msg void OnBnClickedButtonStop();
	afx_msg void OnBnClickedButtonOpenstream();
	afx_msg void OnBnClickedButtonClosestream();

public:
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	CListCtrl m_ctrlInfo;

public:
	void addInfo(const char* strEvent);

	// 解码器
	CST_Decode*			m_pDecode;					
	int					m_nDec;

protected:
	std::mutex	m_mutex;
	std::vector<std::string>		m_vtInfo;

};
